Summary:        Eye-candy calendar for your desktop. 
Name:           gdeskcal
Version:        0.55
Release:        0.fdr.1.rh90
Epoch:          0
License:        GPL
Group:          User Interface/Desktops
URL:            http://www.pycage.de/software_gdeskcal.html
Source0:        http://www.pycage.de/download/gDeskCal-0_55.tar.gz
Source1:        gdeskcal.png
Source2:        gdeskcal.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       python >= 0:2.0.0
Requires:       pygtk2 >= 0:1.99.14
BuildArch:      noarch
Provides:       gDeskCal = %{epoch}:%{version}-%{release}

%description
gDeskCal is a cute little eye-candy calendar for your desktop.  It features
transparency with smooth alpha-blending and its appearance can be changed
completely by using skins.



%prep
%setup -q -n gDeskCal-%{version}



%build



%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p  ${RPM_BUILD_ROOT}/%{_libdir}/%{name}-%{version}/
mkdir -p  ${RPM_BUILD_ROOT}/%{_datadir}
cp -a code data po skins ${RPM_BUILD_ROOT}/%{_libdir}/%{name}-%{version}/
cp -a locale ${RPM_BUILD_ROOT}/%{_datadir}/
cp -a gdeskcal ${RPM_BUILD_ROOT}/%{_libdir}/%{name}-%{version}
mkdir -p ${RPM_BUILD_ROOT}/%{_bindir}/
ln -sf %{_libdir}/%{name}-%{version}/gdeskcal ${RPM_BUILD_ROOT}/%{_bindir}/
%find_lang %{name}

install -p -D -m0644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/gdeskcal.png
install -p -D -m0644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/applications/gdeskcal.desktop

desktop-file-install --vendor fedora --delete-original  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications       \
  --add-category X-Fedora                               \
  --add-category Application                            \
  --add-category Utility                                \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop



%clean
rm -rf ${RPM_BUILD_ROOT}



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS LICENSE NEWS README README.i18n README.skins
%{_bindir}/gdeskcal
%{_libdir}/%{name}-%{version}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png



%changelog
* Mon Sep 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.5.5-0.fdr.1
- Updated tp 0.5.5.

* Tue Jul 29 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.5.4-0.fdr.1
- Fedorification.
- Added Desktop Entry/Icon.

* Fri May 2 2003 Jason Tackaberry <tack@auc.ca>
- Updated pygtk requirement to 1.99.14

* Mon Apr 7 2003 Jason Tackaberry <tack@auc.ca>
- Initial RPM release.
